﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace UserControlDemo
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        double value = 40;
        Random randomNumber = new Random();
        public MainWindow()
        {
            InitializeComponent();
            DataGenerator data = new DataGenerator();
            this.DataContext = data;
            ChartCtrl.SinLineSeries3.ItemsSource = data.Collection;
            ChartCtrl.SinScatterSeries3.ItemsSource = data.Collection;
        }

        private void Add_Click(object sender, RoutedEventArgs e)
        {
            var collection = chart.Series[0].ItemsSource as ObservableCollection<Data>;
            double count = collection.Count + 1;
            collection.Add(new Data(count, value));
            if (randomNumber.NextDouble() > .5)
            {
                value += randomNumber.NextDouble();
            }
            else
            {
                value -= randomNumber.NextDouble();
            }
        }
    }
}
