﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace UserControlDemo
{
    public class DataGenerator
    {
        public int DataCount = 500;

        private Random randomNumber;

        public ObservableCollection<Data> Collection { get; set; }

        public DataGenerator()
        {
            Collection = new ObservableCollection<Data>();
            randomNumber = new Random();
            double value = 40;

            for (int i = 1; i <= this.DataCount; i++)
            {
                Collection.Add(new Data(i, value));
                if (randomNumber.NextDouble() > .5)
                {
                    value += randomNumber.NextDouble();
                }
                else
                {
                    value -= randomNumber.NextDouble();
                }
            }
        }
    }
}
